Conociendo Joomla 4 - Primeros pasos

¿Quieres conocer de manera anticipada la que se considera una de las versiones más renovadoras del proyecto Joomla?, claro, te hablo de la versión 4.

Si bien, es una versión que tiene mucho tiempo trabajándose la verdad es que sigue generando expectativas para su lanzamiento final, y es que hay que recordar que, a diferencia de otros proyectos, detrás de Joomla no existe una empresa que soporte y empuje el desarrollo del mismo, sino que es a base de voluntarios que este se va construyendo, y pues aunado a eso y a problemas internos y diferencias entre los involucrados ha generado un gran retraso en el avance de esta versión.



Actualmente el proyecto Joomla 4 se encuentra en la versión Alpha 12, y en esa serie de artículos te mostraré desde como instalarlo hasta las nuevas características y funcionalidades, así que, te invito a que te suscribas a mi canal de Youtube y actives la campanita para que no te pierdas ninguno de los videos de esta serie y muchos más.


¿Que novedades hay en Joomla 4?

Algunas de las novedades de esta nueva versión son:
- Agilizaron la parte de la instalación, simplificando los pasos
- Renovaron la vista tanto del frontend como del backend.
- Reconstruyeron el administrador de media, agregar imágenes es tan fácil como arrastrar y soltar, además de que agregaron la opción de poder hacer algunos ajustes en las imágenes, como resizes y recortes.
- Por fin existen de manera nativa los Webservices, que permitirán hacer integraciones de nuestro sitio por ejemplo con Apps, o crear sitios headless, que es, poder usar de manera independiente el frontend del backend.
- Renovaron todo el código (o la mayoría)
- Agregaron una interfaz de línea de comandos mejorada y renovada.
Y muchas mejoras más que iremos viendo en una serie de videos.

Requisitos

Esta nueva versión de Joomla es un poco más exigente con los requerimientos y no por que sea más pesada o demandante que versiones anteriores, sino por que buscan hacer más seguro el código y el CMS en general, los requisitos son:
- PHP 7.2 o superior
- MySQL 5.6 (mencionan que pudiera incrementarse conforme se va desarrollando)
- PostgreSQL 11.0
- Termino el soporte para Internet Explorer, por si es que alguien aún lo usa debería ser un tema a considerar.

Algo también que creo que debe ser de consideración es que ellos mencionan que, la actualización de versiones anteriores funcionará sin problema, por lo menos en lo que al core se refiere, ya dependerán en los assets de terceros el soporte de los mismos. Se supone que la actualización funcionará con sitios que sean versión 3.8 o superior, por lo que si tienes un sitio con una versión anterior a esta te sugiero ir actualizando para que puedas dar el brinco a la versión 4 cuando esta esté disponible.

Ver más información


Primeros pasos


Descarga & Instalación




  Ir a mi canal